Bouncy Castle Cryptography Library 1.45

## org.bouncycastle.jce.interfaces
Interface GOST3410PrivateKey

All Superinterfaces:
  GOST3410Key, java.security.Key, java.security.PrivateKey, java.io.Serializable

All Known Implementing Classes:
  JDKGOST3410PrivateKey

    public interface GOST3410PrivateKey

extends GOST3410Key, java.security.PrivateKey

Field Summary

Fields inherited from interface java.security.PrivateKey
`serialVersionUID`

Method Summary
`java.math.BigInteger` `getX()`

Methods inherited from interface org.bouncycastle.jce.interfaces.GOST3410Key
`getParameters`

Methods inherited from interface java.security.Key
`getAlgorithm, getEncoded, getFormat`

Method Detail

### getX

    java.math.BigInteger getX()

Bouncy Castle Cryptography Library 1.45